start-stop-daemon(8)

NAZWA
start-stop-daemon - uruchamia i zatrzymuje demony systemowe

SKŁADNIA
start-stop-daemon -S|--start opcje [--] argumenty

start-stop-daemon -K|--stop opcje

start-stop-daemon -H|--help

start-stop-daemon -V|--version

OPIS
start-stop-daemon jest wykorzystywany do kontroli procesów uruchamianych i zatrzymywanych podczas przełączania trybów pracy. Opcje --exec, --pidfile, --user i --name mogą określić, w jaki sposób start-stop-daemon ma sprawdzić, czy dany proces jest już uruchomiony. Operacja --start wymaga, aby start-stop-daemon sprawdził, czy dany proces jest już uruchomiony. Jeśli proces już istnieje, start-stop-daemon nie wykonuje żadnych czynności i kończy się, zwracając kod błędu 1 (lub 0, jeśli podano opcję --oknodo). Jeśli dany proces nie jest jeszcze uruchomiony, to wykonywany jest program określony opcją --exec (lub, jeśli podano, opcją --startas). Wszelkie argumenty podane tuż po opcji -- są przekazywane do wykonywanego polecenia. Operacja --stop także powoduje, że start-stop-daemon sprawdza, czy dany proces jest już uruchomiony. Jeśli tak jest, to start-stop-daemon wysyła sygnał określony opcją --signal i kończy swoją pracę z kodem błędu 0. Jeśli proces nie istnieje, start-stop-daemon kończy się z kodem błędu 1 (lub 0, jeśli podano opcję --oknodo). Jeżeli podano opcję --retry, to start-stop-daemon sprawdzi, czy proces(y) się zakończył(y). Note: unless --pidfile is specified, start-stop-daemon behaves similar to killall(1). start-stop-daemon will scan the process table looking for any processes which match the process name, uid, and/or gid (if specified). Any matching process will prevent --start from starting the daemon. All matching processes will be sent the KILL signal if --stop is specified. For daemons which have long-lived children which need to live through a --stop you must specify a pidfile.

OPCJE

-x|--exec program
    Sprawdza istnienie procesów, które byłyby wywołane uruchomieniem podanego w opcji programu (sprawdzana jest zawartość /proc/pid/exe).

-p|--pidfile plik-pid
    Sprawdzanie procesów, których pid jest podany w pliku plik-pid.

-u|--user użytkownik|uid
    Sprawdzanie dla procesów, których właścicielem jest użytkownik o nazwie użytkownik lub numerze uid.

-g|--group grupa|gid
    Podczas uruchamiania procesu zmienia grupę na grupę lub gid.

-n|--name nazwa-procesu
    Sprawdzanie dla procesów o nazwie nazwa-procesu (sprawdzana jest zawartość /proc/pid/stat).

-s|--signal sygnał
    Przy operacji --stop, wysyłany jest sygnał o podanej wartości do zatrzymywanego procesu (domyślnie jest to 15).

-R|--retry timeout|plan-działania
    W czasie operacji --stop powoduje sprawdzenie przez start-stop-daemon, czy proces(y) się zakończył(y). Sprawdzanie jest powtarzane, jeżeli działa jakikolwiek pasujący proces, dopóki wszystkie się nie skończą. Jeżeli procesy się nie zakończą, podejmowane są akcje określone przez parametr plan-działania. Jeżeli określono timeout zamiast plan-działania, to wtedy używany jest następujący plan działania: sygnał/timeout/KILL/timeout, gdzie sygnał jest określony za pomocą opcji --signal. plan-działania jest listą co najmniej dwóch wartości oddzielonych znakami ukośnika (/); każdą z tych wartości może być albo -numer-sygnału lub [-]nazwa-sygnału, co oznacza wysłanie tego sygnału, albo timeout, określający liczbę sekund, którą należy czekać na zakończenie procesu, albo forever, oznaczający, że reszta planu działania ma być powtarzana dopóki jest to konieczne. Jeżeli osiągnięto koniec planu działania, a opcja forever nie została użyta, to start-stop-daemon kończy działanie z kodem błędu 2. Jeżeli został określony plan działania, to sygnał podany w --signal jest ignorowany.

-a|--startas ścieżka
    Przy operacji --start, Uruchamiany jest program o określonej ścieżce. Jeśli brak tej opcji, domyślnie uruchamiany jest program podany w opcji --exec.

-t|--test
    Wyświetlana jest czynność, jaką należałoby wykonać, a także zwracany jest odpowiedni kod błędu, ale opcja ta nie powoduje żadnych operacji.

-o|--oknodo
    Zwracany jest kod błędu 0, nawet gdyby operacja nie zakończyła się powodzeniem (zwróciłaby 1).

-q|--quiet
    Nie są wyświetlane żadne informacje oprócz komunikatów o błędach.

-c|--chuid użytkownik|uid
    Zmiana użytkownika/uid przed uruchomieniem procesu. Można także zmienić grupę poprzez dołączenie : wraz z nazwą grupy bądź numerem gid, podobnie jak w poleceniu `chown' (użytkownik:grupa). Podczas korzystania z tej opcji należy pamiętać, że grupa główna i poboczne zostaną ustawione, nawet gdy nie podano opcji --group. Opcja --group jest przydatna tylko dla grup, których podany użytkownik nie jest członkiem (na przykład przy dodawaniu procesowi członkostwa grupy dla takich użytkowników jak nobody).

-r|--chroot root
    Zmienia katalog bieżący na root i czyni go głównym katalogiem (rootem) przed wystartowaniem procesu. Proszę zauważyć, że plik pidfile jest tworzony po wykonaniu chroot.

-d|--chdir ścieżka
    Przed uruchomieniem procesu zmienia katalog bieżący na ścieżkę. Robione jest to przed zmienieniem głównego katalogu (roota), jeżeli podano również opcję -r|--chroot. Jeśli nie podano tej opcji, to przed uruchomieniem procesu start-stop-daemon ustawi jego katalog bieżący na główny katalog (root).

-b|--background
    Typically used with programs that don't detach on their own. This option will force start-stop-daemon to fork before starting the process, and force it into the background. WARNING: start-stop-daemon cannot check the exit status if the process fails to execute for any reason. This is a last resort, and is only meant for programs that either make no sense forking on their own, or where it's not feasible to add the code for them to do this themself.

-N|--nicelevel liczba
    Zmienia priorytet uruchamianego procesu.

-k|--umask mask
    This sets the umask of the process before starting it.

-m|--make-pidfile
    Used when starting a program that does not create its own pid file. This option will make start-stop-daemon create the file referenced with --pidfile and place the pid into it just before executing the process. Note, the file will not be removed when stopping the program. NOTE: This feature may not work in all cases. Most notably when the program being executed forks from its main process. Because of this it is usually only useful when combined with the --background option.

-v|--verbose
    Wyświetlane są dodatkowe komunikaty.

-H|--help
    Wyświetlana jest krótka pomoc.

-V|--version
    Wyświetlana jest informacja o wersji programu.

AUTORZY
Marek Michałkiewicz <marekm@i17linuxb.ists.pwr.wroc.pl> na podstawie poprzedniej wersji napisanej przez Iana Jacksona <ijackson@gnu.ai.mit.edu> Podręcznik napisał Klee Dienes <klee@mit.edu>, a poprawił Ian Jackson.